Name:           ibus-rime
Version:        1.5.1
Release:        %mkrel 1
Summary:        Rime Input Method Engine for IBus
Summary(zh):    中州韻輸入法引擎
Group:          System/Internationalization
License:        GPL-3.0-only
URL:            https://rime.im/
Source0:        https://github.com/rime/ibus-rime/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(rime)

%description
ibus-rime: Rime Input Method Engine for IBus.

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.


%description -l zh
中州韻輸入法引擎

中州韻輸入法引擎，思想用鍵盤表達也行。

Rime 預設輸入方案有：朙月拼音、語句流、倉頡、速成、五筆、雙拼、
地球拼音、注音、粵拼、吳語、中古漢語拼音、五筆畫、國際音標等。

%prep
%autosetup


%build
%cmake -DRIME_DATA_DIR=%{_datadir}/rime-data
%cmake_build


%install
%cmake_install


%files
%doc README.md CHANGELOG.md
%license LICENSE
%dir %{_libexecdir}/ibus-rime
%{_libexecdir}/ibus-rime/ibus-engine-rime
%{_datadir}/ibus/component/rime.xml
%{_datadir}/ibus-rime/
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/ibus_rime.yaml


%changelog
* Thu Jan 09 2025 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 2136365
- new version: 1.5.1

* Fri May 31 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2068894
- initial package ibus-rime (mga#33256)

